Subject: Re: bug#49552: [PATCH] gnu: u-boot: Update to 2021.07.
From: Pierre Langlois <[email-masked]>
To: Vagrant Cascadian <[email-masked]>
Cc: Mathieu Othacehe <[email-masked]>, Pierre Langlois <[email-masked]>, [email-masked]
Date: Mon, 02 Aug 2021 13:31:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Vagrant Cascadian <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> On 2021-07-26, Pierre Langlois wrote:
>> Vagrant Cascadian writes:
>>
>>> On 2021-07-25, Mathieu Othacehe wrote:
>>>>> * gnu/packages/bootloaders.scm (u-boot): Update to 2021.07.
>>>>> [native-inputs]: Add python-pycryptodomex.
>>>>> (u-boot-2021.07): Delete variable.
>>>>> (u-boot-tools)[arguments]: Adapt 'patch phase, disable failing test_spl test.
>>>>> (u-boot-sifive-unmatched): Use default u-boot package.
>>>>> (u-boot-pinebook-pro-rk3328): Use default u-boot package.
>>>>
>>>> This seems fine to me, Vagrant any objections here?
>>>
>>> Heh. Just uploaded 2021.07 to Debian last night! Been meaning to look at
>>> updating in guix, but apparently someone beat me to it :)
>>>
>>> Overall, sounds fine to me, with one relatively minor change...
>>>
>>> u-boot-sifive-unmatched will need a pretty trivial patch in order to
>>> update to 2021.07:
>>>
>>>   https://bugs.launchpad.net/ubuntu/+source/u-boot/+bug/1937246
>>>   https://salsa.debian.org/debian/u-boot/-/blob/debian/latest/debian/patches/riscv64/unmatched-prevent-relocating-initrd-and-fdt.patch
>>>
>>> At least, it did when building on Debian (and apparently Ubuntu)...
>>
>> Sure, I've added the patch! I don't have any HW to test sifive unmatched
>> support though, I did test the update on a pinebookpro and rockpro64
>> when originally posting this, the new patch shouldn't affect them.
>
> I have pretty high confidence it's needed, has low risk for breaking
> other u-boot platforms, and riscv64 support in guix is pretty
> experimental at this point so I would say safe to go with it untested at
> this point... though at some point I can test it on actual hardware if
> it really is needed.

Sounds good to me!

>
>
>> That being said, while it works on pinebookpro, I still need an extra
>> patch on the rockpro64 in order to boot, both on master with u-boot
>> 2021.07 :-/ (see #49550).
>>
>> Were you able to confirm the issue? I see it looks like we have the same
>> configuration in debian and guix, CONFIG_USE_PREBOOT=y and the
>> "inno-usb" patch applied, mmmm
>
> Seems like you fixed the core of that problem in another commit!
>
> Patch looks good to me, thanks for working on it!

Thanks for the review! I've just pushed it as
eb46c6c5c81695af475f7e1e416d05e51157fe60, with a couple of tweaks to
make `guix lint' happy (the patch filename was a little too long, as
well as a line was over the column limit).

Thanks,
Pierre